org.red5.server.net.rtmp

## Class Channel

- java.lang.Object
- - org.red5.server.net.rtmp.Channel

    public class Channel
    extends Object

Identified connection that transfers packets.

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`Channel(RTMPConnection conn, int channelId)` Creates channel from connection and channel id

### Method Summary

Methods
`void` `close()` Closes channel with this id on RTMP connection.
`protected RTMPConnection` `getConnection()` Getter for RTMP connection.
`int` `getId()` Getter for id.
`void` `sendStatus(Status status)` Sends status notification.
`void` `write(IRTMPEvent event)` Writes packet from event data to RTMP connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### Channel

    public Channel(RTMPConnection conn,
           int channelId)

Creates channel from connection and channel id

Parameters:
  `conn` - Connection
  `channelId` - Channel id

### Method Detail

#### close

    public void close()

Closes channel with this id on RTMP connection.

#### getId

    public int getId()

Getter for id.

Returns:
  Channel ID

#### getConnection

    protected RTMPConnection getConnection()

Getter for RTMP connection.

Returns:
  RTMP connection

#### write

    public void write(IRTMPEvent event)

Writes packet from event data to RTMP connection.

Parameters:
  `event` - Event data

#### sendStatus

    public void sendStatus(Status status)

Sends status notification.

Parameters:
  `status` - Status